Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79222 - (USB)mouse freezes under moderate to heavy disk usage
Summary: (USB)mouse freezes under moderate to heavy disk usage
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-08 00:24 UTC by joram
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-09 18:23:21 UTC


Attachments (Terms of Use)

Description joram 2002-12-08 00:24:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 4.0; Q312461)

Description of problem:
Intel P4 laptop with internal touchpad on /dev/psaux and an external usb mouse 
on /dev/mouse.  The usb mouse is the corepointer and the touchpad uses 
the "SendCoreEvents" option in XF86Config-4.  Both mice work fine, except under 
moderate to heavcy disk usage, the external usb mouse freezes.  The touchpad 
still functions fine.  I can reset the usb mouse by physically disconnecting 
and then reconnecting it.  No change if I use the touchpad as the corepointer.  
Keyboard and screen are not affected in any way.  Only the external usb mouse.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. boot
2. use system as usual
3. do a disk intensive operation ... (i.e. make a big tarball, use GIMP with a 
big image, etc.)
4. mouse will flicker / jump around and then freeze
5. disconnect external mouse and immediately reconnect
	

Actual Results:  external mouse freezes.  Keyboard, screen, touchpad, still 
operate as usual.  After disconnect/reconnect of external usb mouse, it 
functions normally until the next freeze event.

Expected Results:  No mouse freeze at all

Additional info:

Compaq EvoN800c Notebook
Intel P4 Mobility 1.7gHz
512MB RAM
40GB HD
ATI Radeon Mobility Graphics Card (64MB RAM)

Comment 1 Pete Zaitcev 2003-06-09 17:03:16 UTC
Sorry, didn't see this bug, taking now.

Please upgrade to 2.4.20-18.7 (or, for RHL 9 2.4.18-18.9), and verify
that it still fails.

If it fails, I'd like to see three things: output of dmesg, taken
after the failure (please don't drop it into comments box, bug attach instead),
/proc/interrupts and output of lspci (don't -vv it, or attach again).


Comment 2 joram 2003-06-09 18:08:44 UTC
upgraded to RH 9 three weeks ago.  Both touchpad and usb mouse are 100% 
opertional.  USB mouse no longer freezes.

I have noticed a few other users that have had mouse freeze problems.  One is at
http://www.brokedown.net/~squash2/n600c.html



Comment 3 Pete Zaitcev 2003-06-09 18:23:21 UTC
Seems like the guy a URL above has APM issues. I don't think it's relevant.



Note You need to log in before you can comment on or make changes to this bug.